﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Datron 1061A: ADJ IEEE /5700A
DATE:                  2017-03-20 10:37:39
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       69
NUMBER OF LINES:       2947
CONFIGURATION:         Fluke 5700A
=============================================================================
#
#  Source:          Calibration & Servicing Handbook
#                   Part Number 850045
#                   Issue 9 (SEPT.1988)
#
#                   Portocal II
#                   Adjustment
#                   Datron 1061A
#                   Version 1.10
#                   Full Adjustment Procedure
#
#  Compatibility:   MET/CAL 6.11A or later
#
#  Additional equipment Required:
#                   1 MOhm Lin Source (Datron Number 400391)
#                   10 MOhm Ib Source (Datron Number 400392)
#                   1 Short Link
#
#  The procedure is intended for use with Met/Cal(r) calibration software,
#  and the terms and conditions set forth in your METCAL license apply to
#  this procedure.
#
#  Due to our policy of continuously up dating our products, this procedure
#  may contain minor differences in specification to those found in the manual
#  or other documentation. While every effort has been made to ensure that
#  this procedure is accurate, Fluke cannot be held responsible for the
#  consequences of error or omissions found within this procedure.
#
#  The copyright in this procedure is owned by Fluke Precision Measurement
#  Limited.
#
#  Registers Used
#                M[1]=    Average Readings Counter (Adjustment)
#                M[2]=    Readings to Discard   (Adjustment)
#                M[3]=    Sum of Averages   (Adjustment)
#                M[4]=    Average of Readings (Adjustment)
#                M[6]=    First Delimited Value to Identify Option 12
#                M[7]=    Second Delimited Value to Identify Option 12
#                M[10]=   Number of Readings Reqd (Adjustment)
#                M[255]=  Delay Time Total
#                M[101]=  Adjustment Retry Counter
#                M[102]=  Invalid Measurement Counter
#                M[103]=  Units Multiplier
#                M[104]=  Tolerance
#                M[105]=  Tight Tolerance % Multiplier
#                M[106]=  Delay Time Remain Counter
#                M[107]=  Tight Limit Calculated
#                S[32]  = Delay Time Message
#                S[2]  = Range String
#                S[10]=  DCV Function Selected
#                S[11]=  ACV Function Selectied
#                S[12]=  Resistance Function Selected
#                S[13]=  DCI Function Selected
#                S[14]=  ACI Function Selected
#                S[20]=  DCV Function Option Fitted
#                S[21]=  ACV Function Option Fitted
#                S[22]=  Resistance Function Option Fitted
#                S[23]=  DCI Function Option Fitted
#                S[24]=  ACI Function Option Fitted
#                S[25]=  Message to explain that Option 12 is not supported.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

 # Metcal Initial Setup
  1.001  IEEE         [SRQ OFF]

  1.002  ASK-                        P                            F        V
  1.003  ASK+           K

  1.004  HEAD         Personnel Safety
  1.005  DISP         [32]Dangerous voltages may be present during
  1.005  DISP         [32]this process, always check it is safe to do so
  1.005  DISP         [32]before touching any electrical connections.

  1.006  HEAD         Test Equipment Requirements
  1.007  DISP         [32]This procedure requires the following
  1.007  DISP         [32]test equipment:
  1.007  DISP
  1.007  DISP         [32]  1 MOhm Lin Source (Datron Number 400391)
  1.007  DISP         [32]  10 MOhm Ib Source (Datron Number 400392)
  1.007  DISP         [32]  One Short Link


  1.008  PIC          1081back
  1.009  DISP         Turn on the UUT and allow a minimum of 2 hours
  1.009  DISP         Warm Up period.
  1.010  PIC          1081_enb

# Metcal Initial Setup
  1.011  IEEE         [SRQ OFF]

# Initial UUT Setup
  1.012  IEEE         O0
  1.013  IEEE         Q1
  1.014  IEEE         T2
  1.015  IEEE         W1
  1.016  IEEE         I0
  1.017  PIC          1081in57
  1.018  IEEE         F3R6C0A2


#******************* IDENTIFY OPTIONS ******************************

  1.019  MATH         S[20]="DC Voltage (Standard)"

  1.020  HEAD         Identify Options Fitted

# AC Voltage
  1.021  IEEE         F2[D1000]
  1.022  IEEE         [SPL80]
  1.023  JMPL         ACV_No_Opt  MEM == 80
  1.024  IEEE         F2R3C1A2
  1.025  IEEE         [d10000]
  1.026  5700         1V                           500H                 S  2W
  1.027  IEEE         [d5000]
  1.028  IEEE         [TRIG][d2000]
  1.029  IEEE         [SRQ15000,192]
  1.030  IEEE         [I$]
  1.031  MATH         M[6] =  FIND(MEM2, ".", 1)
  1.032  MATH         M[7] =  FIND(MEM2, "E", 1)
  1.033  MATH         MEM= M[7] - M[6]
  1.034  5700         *                                                 S
  1.035  JMPL         ACV_12 MEM == 7
  1.036  MATH         S[21]="AC Voltage (Option 10)"
  1.037  MATH         S[25]=""
  1.038  JMPL         RES_OPT

  1.039  LABEL        ACV_12
  1.040  MATH         S[21]="AC Voltage (Option 12)"
  1.041  MATH         S[25]="THIS PROCEDURE DOES NOT SUPPORT (OPTION 12)"
  1.042  DISP         The UUT to be tested has the High Performance
  1.042  DISP         true RMS AC Converter (Option 12) fitted.
  1.042  DISP
  1.042  DISP         This procedure only supports ACV (Option 10).
  1.042  DISP
  1.042  DISP         If you wish to continue, this procedure can carry
  1.042  DISP         out the Performance Verification on DC Volts &
  1.042  DISP         Resistance only (if fitted).
  1.043  JMPL         RES_OPT

  1.044  LABEL        ACV_No_Opt
  1.045  MATH         S[25]=""
  1.046  MATH         S[21]=""

# Resistance
  1.047  LABEL        RES_OPT
  1.048  MATH         S[22]="Resistance (Option 20)"
  1.049  IEEE         F1[D1000]
  1.050  IEEE         [SPL80]
  1.051  JMPL         DCI_OPT MEM != 80
  1.052  MATH         S[22]=""

  1.053  LABEL        DCI_OPT
  1.054  MATH         S[23]="DC Current (Option 30)"
  1.055  IEEE         F5[D1000]
  1.056  IEEE         [SPL80]
  1.057  JMPL         DCI_No_Opt MEM == 80

#Lets identify whether the UUT is post or pre software 17
  1.058  LABEL        Identify
  1.059  HEAD         Identify Software
  1.060  PIC          1081i57
  1.061  MATH         S[2] = "100" ; S[3]  = "mA"
  1.062  MATH         M[103] = 1e-3  ; M[108] = 1
  1.063  IEEE         F5R5C1A0
  1.064  MMFC                                      100mA
  1.065  5700         100mA                                             S  2W
  1.066  IEEE         [d5000]
  1.067  CALL         Sub Datron 10xx Take Reading IEEE
  1.068  5700         *                                                 S
  1.069  JMPL         Pre_Software_17  MEM > 1E6
  1.070  JMPL         Post_Software_17  MEM > 70
  1.071  LABEL        Check_Connections
  1.072  DISP         Check the I+ &  I- Connections as these
  1.072  DISP         must be connected to the UUT for the software
  1.072  DISP         identification to be carried out correctly.
  1.073  JMPL         Identify

  1.074  LABEL        Post_Software_17
  1.075  JMPL         Check_Connections  MEM > 200
  1.076  MATH         S[4] = "> 17"
  1.077  JMPL         contd
  1.078  LABEL        Pre_Software_17
  1.079  MATH         S[4] = "< 17"

  1.080  LABEL        contd
  1.081  HEAD         Software Version [S4] [D2000]
  1.082  RSLT         =
  1.083  JMPL         ACI_OPT

  1.084  LABEL        DCI_No_Opt
  1.085  MATH         S[4] = "N/A"
  1.086  MATH         S[23]=""


  1.087  LABEL        ACI_OPT
  1.088  MATH         S[24]="AC Current (Option 30)"
  1.089  IEEE         F4[D1000]
  1.090  IEEE         [SPL80]
  1.091  JMPL         DISP_OPT MEM != 80
  1.092  MATH         S[24]=""

  1.093  LABEL        DISP_OPT
  1.094  DISP         1061A With Options Fitted:
  1.094  DISP         [32]                        [S21]
  1.094  DISP         [32]                        [S22]
  1.094  DISP         [32]                        [S23]
  1.094  DISP         [32]                        [S24]
  1.094  DISP         Software Version [S4]
  1.094  DISP         [32]
  1.094  DISP         [S25]


  1.095  RSLT         =1061A With Options Fitted:
  1.096  RSLT         =[32]              [S21]
  1.097  RSLT         =[32]              [S22]
  1.098  RSLT         =[32]              [S23]
  1.099  RSLT         =[32]              [S24]
  1.100  RSLT         =
  1.101  RSLT         =Software Version [S4]
  1.102  RSLT         =
  1.103  RSLT         =[S25]


#***************** FUNCTION SELECTION **********************

#Allow the operator to choose the function to run. All functions are
#preloaded they are cleared if necessary by the operator selection.
  1.104  LABEL        Begin

#Load Registers with Options Fitted
  1.105  MATH         S[10] = S[20]
  1.106  MATH         S[11] = S[21]
  1.107  MATH         S[12] = S[22]
  1.108  MATH         S[13] = S[23]
  1.109  MATH         S[14] = S[24]

  1.110  HEAD         Function Selection
  1.111  OPBR         [32] Do you wish to run the whole Calibration procedure?
  1.112  JMPL         Run_Some MEM1 ==-1
  1.113  JMPL         Finish_Selection

  1.114  LABEL        Run_Some
  1.115  OPBR         Do you want to run the [S10]
  1.115  OPBR         Adjustment Calibration Test ?

  1.116  JMPL         ACV MEM1==1
  1.117  MATH         S[10] = ""

  1.118  LABEL        ACV
  1.119  JMPL         RES CMPI ("",S[11]) == 1
  1.120  JMPL         RES CMPI ("AC Voltage (Option 12)",S[11]) == 1
  1.121  OPBR         Do you want to run the [S11]
  1.121  OPBR         Adjustment Calibration Test ?

  1.122  JMPL         RES MEM1==1
  1.123  MATH         S[11] = ""

  1.124  LABEL        RES
  1.125  JMPL         DCI CMPI ("",S[12]) == 1
  1.126  OPBR         Do you want to run the [S12]
  1.126  OPBR         Adjustment Calibration Test ?

  1.127  JMPL         DCI MEM1==1
  1.128  MATH         S[12] = ""

  1.129  LABEL        DCI
  1.130  JMPL         ACI CMPI ("",S[13]) == 1
  1.131  JMPL         NO_DCI CMPI ("AC Voltage (Option 12)",S[11]) == 1
  1.132  OPBR         Do you want to run the [S13]
  1.132  OPBR         Adjustment Calibration Test ?
  1.133  JMPL         ACI MEM1==1
  1.134  LABEL        NO_DCI
  1.135  MATH         S[13] = ""

  1.136  LABEL        ACI
  1.137  JMPL         Finish_Selection CMPI ("",S[14]) == 1
  1.138  JMPL         NO_ACI CMPI ("AC Voltage (Option 12)",S[11]) == 1
  1.139  OPBR         Do you want to run the [S14]
  1.139  OPBR         Adjustment Calibration Test ?

  1.140  JMPL         Finish_Selection  MEM1==1
  1.141  LABEL        NO_ACI
  1.142  MATH         S[14] = ""

#Display Selections Chosen
  1.143  LABEL        Finish_Selection

#Erase Option_12s Register
  1.144  JMPL         CONT_IF_10 CMPI ("AC Voltage (Option 10)",S[11]) == 1
  1.145  MATH         S[11] =""

  1.146  LABEL        CONT_IF_10
  1.147  OPBR         [32]Adjustment Calibration Tests Chosen:
  1.147  OPBR         [32]                 [S10]
  1.147  OPBR         [32]                 [S11]
  1.147  OPBR         [32]                 [S12]
  1.147  OPBR         [32]                 [S13]
  1.147  OPBR         [32]                 [S14]
  1.147  OPBR
  1.147  OPBR         (YES to continue/ NO to reselect)
  1.148  JMPL         Begin MEM1==-1
  1.149  IEEE         W1
  1.150  5700         *                                                 S


#**************************** DC VOLTAGE *******************************
#***********************************************************************

  1.151  JMPL         SKIP_DCV  CMPI ("DC Voltage (Standard)",S[10]) != 1


  1.152  HEAD         {Function: DC Voltage}
  1.153  TARGET       -p

# Measurement Setup
  1.154  VSET         NTHROW = 1 NMEAS = 5

# UUT Setup Filter when Carrying out Adjustment
  1.155  MATH         S[26] = "C0"

# UUT Setup Filter When Taking Reading
  1.156  MATH         S[27] = "C0"

  1.157  MATH         MEM1  = 0


# ***************** 1V RANGE LINEARITY ****************
  1.158  ASK-                              U

  1.159  PIC          1081_lin

# Set String Registers:        Range          Units
  1.160  MATH         S[2] = "1" ; S[3]  = "V"

# Set Numeric Register:  Units
  1.161  MATH         M[103] = 1   ; M[108] = 1


# UUT Setup to 100mV Range
  1.162  RSLT         =
  1.163  RSLT         =1V Range Linearity
  1.164  IEEE         F3R3C0A2


# Setup Registers      Delay Time      Message
  1.165  MATH         M[255] = 10  ; S[32] = "Settling Time"

# Set Tolerance
  1.166  MATH         M[104] = .0001

# 48xx Setup
  1.167  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
  1.168  MATH         M[10] = 1       ; M[2] = 1

#                    Tight Tol Percnt.;    Lin
  1.169  MATH         M[105]  = 40    ;    S[30] = "G4"

  1.170  CALL         Sub Datron 10xx Cal Adjust IEEE
  1.171  HEAD         [S2][S3] Range Average Reading = [M4][S3]
  1.172  IEEE         [D2000]
  1.173  MATH         M[4] = ABS(M[4] * 1e6)
  1.174  EVAL   -e   (M[4]) < (M[104] * 1e6):Lin Reading [M4] < 100 Digits



# ***************** 100mV RANGE INPUT BIAS ****************

  2.001  PIC          1081_ib

  2.002  IEEE         W1


# Set String Registers:        Range          Units
  2.003  MATH         S[2] = "100" ; S[3]  = "mV"

# Set Numeric Register:  Units
  2.004  MATH         M[103] = 1e-3   ; M[108] = 1


# UUT Setup to 100mV Range
  2.005  RSLT         =
  2.006  RSLT         =100mV Range Input Bias Current
  2.007  IEEE         F3R2C0A2


# Setup Registers      Delay Time      Message
  2.008  MATH         M[255] = 10  ; S[32] = "Settling Time"

# Set Tolerance
  2.009  MATH         M[104] = 0.1

# 48xx Setup
  2.010  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
  2.011  MATH         M[10] = 1       ; M[2] = 1

#                    Tight Tol Percnt.;    Ib
  2.012  MATH         M[105]  = 40    ;    S[30] = "G2"

  2.013  CALL         Sub Datron 10xx Cal Adjust IEEE
  2.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
  2.015  IEEE         [D2000]

  2.016  MATH         M[4] = ABS(M[4] * 1e4)
  2.017  EVAL   -e   M[4]<(M[104]*1e4):Input Bias [M4] < 1000 Digits





# ***************** 100 mV RANGE ****************
  3.001  ASK+                              U
  3.002  PIC          1081in57

# Set String Registers:        Range          Units
  3.003  MATH         S[2] = "100" ; S[3]  = "mV"

# Set Numeric Register:  Units
  3.004  MATH         M[103] = 1e-3   ; M[108] = 1


# UUT Setup to 100mV Range
  3.005  RSLT         =
  3.006  RSLT         =100 mV Range
  3.007  IEEE         F3R2C0A2

# ********************* + 0 mV Output ********************************

# Setup Registers      Delay Time      Message
  3.008  MATH         M[255] = 20  ; S[32] = "Settling Time"

# Set Tolerance
  3.009  MATH         M[104] = 0.002

# 48xx Setup
  3.010  MMFC                                      100mV
  3.011  5700         0mV                                               S  2W
  3.012  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
  3.013  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
  3.014  MATH         M[105]  = 40    ;    S[30] = "G0"

  3.015  CALL         Sub Datron 10xx Cal Adjust IEEE
  3.016  HEAD         [S2][S3] Range Average Reading = [M4][S3]
  3.017  IEEE         [D2000]

# Take Reading
  3.018  TARGET       -m
  3.019  CALL         Sub Datron 10xx Take Reading IEEE
  3.020  MEMCX        +0.0000mV      M104U


# ********************* +100 mV Output ********************************

# Setup Registers      Delay Time
  4.001  MATH         M[255] = 10

# Set Tolerance
  4.002  MATH         M[104] = 0.0026

# 48xx Setup
  4.003  MMFC                                      100mV
  4.004  5700         100mV                                             S  2W
  4.005  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
  4.006  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Gain Cal
  4.007  MATH         M[105]  = 20    ;    S[30] = "G1"

  4.008  CALL         Sub Datron 10xx Cal Adjust IEEE
  4.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
  4.010  IEEE         [D2000]


# Take Reading
  4.011  TARGET       -m
  4.012  CALL         Sub Datron 10xx Take Reading IEEE
  4.013  MEMCX        100.0000mV     M104U


# ********************* -100 mV Output ********************************

# Setup Registers      Delay Time
  5.001  MATH         M[255] = 10

# Set Tolerance
  5.002  MATH         M[104] = 0.0026

# 48xx Setup
  5.003  MMFC                                      100mV
  5.004  5700         -100mV                                            S  2W
  5.005  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
  5.006  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
  5.007  MATH         M[105]  = 20    ;    S[30] = "G1"
  5.008  CALL         Sub Datron 10xx Cal Adjust IEEE
  5.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
  5.010  IEEE         [D2000]

# Take Reading
  5.011  TARGET       -m
  5.012  CALL         Sub Datron 10xx Take Reading IEEE
  5.013  MEMCX        -100.0000mV    M104U


# ***************** 1V RANGE ****************

# Set String Registers:        Range          Units
  6.001  MATH         S[2] = "1" ; S[3]  = "V"

# Set Numeric Register:  Units
  6.002  MATH         M[103] = 1

# UUT Setup to 1V Range
  6.003  RSLT         =
  6.004  RSLT         =1V Range
  6.005  IEEE         F3R3C0A2

# ********************* + 0 V Output ********************************

# Setup Registers      Delay Time      Message
  6.006  MATH         M[255] = 10  ; S[32] = "Settling Time"

# Set Tolerance
  6.007  MATH         M[104] = 0.00002

# 48xx Setup
  6.008  MMFC                                      1V
  6.009  5700         0V                                                S  2W
  6.010  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
  6.011  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
  6.012  MATH         M[105]  = 40    ;    S[30] = "G0"
  6.013  CALL         Sub Datron 10xx Cal Adjust IEEE
  6.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
  6.015  IEEE         [D2000]

# Take Reading
  6.016  TARGET       -m
  6.017  CALL         Sub Datron 10xx Take Reading IEEE
  6.018  MEMCX        +0.000000V     M104U

# ********************* +1 V Output ********************************

# Setup Registers      Delay Time
  7.001  MATH         M[255] = 10

# Set Tolerance
  7.002  MATH         M[104] = 0.000013

# 48xx Setup
  7.003  MMFC                                      1V
  7.004  5700         1V                                                S  2W
  7.005  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
  7.006  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
  7.007  MATH         M[105]  = 20    ;    S[30] = "G1"
  7.008  CALL         Sub Datron 10xx Cal Adjust IEEE
  7.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
  7.010  IEEE         [D2000]

# Take Reading
  7.011  TARGET       -m
  7.012  CALL         Sub Datron 10xx Take Reading IEEE
  7.013  MEMCX        1.000000V      M104U


# ********************* -1 V Output ********************************

# Setup Registers      Delay Time
  8.001  MATH         M[255] = 10

# Set Tolerance
  8.002  MATH         M[104] = 0.000013

# 48xx Setup
  8.003  MMFC                                      1V
  8.004  5700         -1V                                               S  2W
  8.005  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
  8.006  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
  8.007  MATH         M[105]  = 20    ;    S[30] = "G1"
  8.008  CALL         Sub Datron 10xx Cal Adjust IEEE
  8.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
  8.010  IEEE         [D2000]

# Take Reading
  8.011  TARGET       -m
  8.012  CALL         Sub Datron 10xx Take Reading IEEE
  8.013  MEMCX        -1.000000V     M104U


# ***************** 10V RANGE ****************

# Set String Registers:        Range          Units
  9.001  MATH         S[2] = "10" ; S[3]  = "V"

# Set Numeric Register:  Units
  9.002  MATH         M[103] = 1

# UUT Setup to 10V Range
  9.003  RSLT         =
  9.004  RSLT         =10V Range
  9.005  IEEE         F3R4C0A2

# ********************* + 0 V Output ********************************

# Setup Registers      Delay Time      Message
  9.006  MATH         M[255] = 10  ; S[32] = "Settling Time"

# Set Tolerance
  9.007  MATH         M[104] = 0.0002

# 48xx Setup
  9.008  MMFC                                      10V
  9.009  5700         0V                                                S  2W
  9.010  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
  9.011  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
  9.012  MATH         M[105]  = 40    ;    S[30] = "G0"
  9.013  CALL         Sub Datron 10xx Cal Adjust IEEE
  9.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
  9.015  IEEE         [D2000]

# Take Reading
  9.016  TARGET       -m
  9.017  CALL         Sub Datron 10xx Take Reading IEEE
  9.018  MEMCX        +0.00000V      M104U

# ********************* +10 V Output ********************************

# Setup Registers      Delay Time
 10.001  MATH         M[255] = 10

# Set Tolerance
 10.002  MATH         M[104] = 0.00013

# 48xx Setup
 10.003  MMFC                                      10V
 10.004  5700         10V                                               S  2W
 10.005  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 10.006  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 10.007  MATH         M[105]  = 20    ;    S[30] = "G1"
 10.008  CALL         Sub Datron 10xx Cal Adjust IEEE
 10.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 10.010  IEEE         [D2000]

# Take Reading
 10.011  TARGET       -m
 10.012  CALL         Sub Datron 10xx Take Reading IEEE
 10.013  MEMCX        10.00000V      M104U


# ********************* -10 V Output ********************************

# Setup Registers      Delay Time
 11.001  MATH         M[255] = 10

# Set Tolerance
 11.002  MATH         M[104] = 0.00013

# 48xx Setup
 11.003  MMFC                                      10V
 11.004  5700         -10V                                              S  2W
 11.005  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 11.006  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 11.007  MATH         M[105]  = 20    ;    S[30] = "G1"
 11.008  CALL         Sub Datron 10xx Cal Adjust IEEE
 11.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 11.010  IEEE         [D2000]

# Take Reading
 11.011  TARGET       -m
 11.012  CALL         Sub Datron 10xx Take Reading IEEE
 11.013  MEMCX        -10.00000V     M104U


# ***************** 100 V RANGE ****************

# Set String Registers:        Range          Units
 12.001  MATH         S[2] = "100" ; S[3]  = "V"

# Set Numeric Register:  Units
 12.002  MATH         M[103] = 1

# UUT Setup to 100V Range
 12.003  RSLT         =
 12.004  RSLT         =100 V Range
 12.005  IEEE         F3R5C0A2


# ********************* + 0 V Output ********************************

# Setup Registers      Delay Time      Message
 12.006  MATH         M[255] = 10  ; S[32] = "Settling Time"

# Set Tolerance
 12.007  MATH         M[104] = 0.002

# 48xx Setup
 12.008  MMFC                                      100V
 12.009  5700         0V                                                S  2W
 12.010  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 12.011  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 12.012  MATH         M[105]  = 40    ;    S[30] = "G0"
 12.013  CALL         Sub Datron 10xx Cal Adjust IEEE
 12.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 12.015  IEEE         [D2000]

# Take Reading
 12.016  TARGET       -m
 12.017  CALL         Sub Datron 10xx Take Reading IEEE
 12.018  MEMCX        +0.0000V       M104U

# ********************* +100 V Output ********************************

# Setup Registers      Delay Time
 13.001  MATH         M[255] = 10

# Set Tolerance
 13.002  MATH         M[104] = 0.0018

# 48xx Setup
 13.003  MMFC                                      100V
 13.004  5700         100V                                              S  2W
 13.005  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 13.006  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 13.007  MATH         M[105]  = 20    ;    S[30] = "G1"
 13.008  CALL         Sub Datron 10xx Cal Adjust IEEE
 13.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 13.010  IEEE         [D2000]

# Take Reading
 13.011  TARGET       -m
 13.012  CALL         Sub Datron 10xx Take Reading IEEE
 13.013  MEMCX        100.0000V      M104U

# ********************* -100 V Output ********************************

# Setup Registers      Delay Time
 14.001  MATH         M[255] = 10

# Set Tolerance
 14.002  MATH         M[104] = 0.0018

# 48xx Setup
 14.003  MMFC                                      100V
 14.004  5700         -100V                                             S  2W
 14.005  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 14.006  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 14.007  MATH         M[105]  = 20    ;    S[30] = "G1"
 14.008  CALL         Sub Datron 10xx Cal Adjust IEEE
 14.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 14.010  IEEE         [D2000]

# Take Reading
 14.011  TARGET       -m
 14.012  CALL         Sub Datron 10xx Take Reading IEEE
 14.013  MEMCX        -100.0000V     M104U



# ***************** 1000V RANGE ****************

# Set String Registers:        Range          Units
 15.001  MATH         S[2] = "1000" ; S[3]  = "V"

# Set Numeric Register:  Units
 15.002  MATH         M[103] = 1

# UUT Setup to 1000V Range
 15.003  RSLT         =
 15.004  RSLT         =1000V Range
 15.005  IEEE         F3R6C0A2

# ********************* + 0 V Output ********************************

# Setup Registers      Delay Time      Message
 15.006  MATH         M[255] = 10  ; S[32] = "Settling Time"

# Set Tolerance
 15.007  MATH         M[104] = 0.02

# 48xx Setup
 15.008  MMFC                                      100V
 15.009  5700         0V                                                S  2W
 15.010  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 15.011  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 15.012  MATH         M[105]  = 40    ;    S[30] = "G0"
 15.013  CALL         Sub Datron 10xx Cal Adjust IEEE
 15.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 15.015  IEEE         [D2000]

# Take Reading
 15.016  TARGET       -m
 15.017  CALL         Sub Datron 10xx Take Reading IEEE
 15.018  MEMCX        +0.000V        M104U

# ********************* +1000 V Output ********************************

# Setup Registers      Delay Time
 16.001  MATH         M[255] = 10

# Set Tolerance
 16.002  MATH         M[104] = 0.018

# 48xx Setup
 16.003  MMFC                                      1000V
 16.004  5700         1000V                                             S  2W
 16.005  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 16.006  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 16.007  MATH         M[105]  = 20    ;    S[30] = "G1"
 16.008  CALL         Sub Datron 10xx Cal Adjust IEEE
 16.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 16.010  IEEE         [D2000]

# Take Reading
 16.011  TARGET       -m
 16.012  CALL         Sub Datron 10xx Take Reading IEEE
 16.013  MEMCX        1000.000V      M104U

# ********************* -1000 V Output ********************************

# Setup Registers      Delay Time
 17.001  MATH         M[255] = 10

# Set Tolerance
 17.002  MATH         M[104] = 0.018

# 48xx Setup
 17.003  MMFC                                      1000V
 17.004  5700         -1000V                                            S  2W
 17.005  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 17.006  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 17.007  MATH         M[105]  = 20    ;    S[30] = "G1"
 17.008  CALL         Sub Datron 10xx Cal Adjust IEEE
 17.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 17.010  IEEE         [D2000]

# Take Reading
 17.011  TARGET       -m
 17.012  CALL         Sub Datron 10xx Take Reading IEEE
 17.013  MEMCX        -1000.000V     M104U


# Rest After High Voltage
 18.001  IEEE         F3R6C0A0
# Setup Registers      Delay Time
 18.002  MATH         M[255] = 40  ; S[32] = "Rest Period"
 18.003  CALL         Sub Wait

 18.004  LABEL        SKIP_DCV
#**************************** AC VOLTAGE *******************************
#***********************************************************************
 18.005  JMPL         SKIP_ACV  CMPI ("AC Voltage (Option 10)",S[11])!= 1

 18.006  RSLT         =
 18.007  HEAD         {Function: AC Voltage}
 18.008  TARGET       -p

# Measurement Setup
 18.009  VSET         NTHROW = 1 NMEAS = 5


 18.010  PIC          1081shrt

# UUT Setup Filter when Carrying out Adjustment
 18.011  MATH         S[26] = "C0"

# UUT Setup Filter When Taking Reading
 18.012  MATH         S[27] = "C1"



 18.013  ASK-                              U
# ***************** 100mV DC + ACV RANGE ****************

# Set String Registers:        Range          Units
 18.014  MATH         S[2] = "100" ; S[3]  = "mV"

# Set Numeric Register:  Units
 18.015  MATH         M[103] = 1e-3   ; M[108] = 1


# UUT Setup to 100mV Range
 18.016  RSLT         =
 18.017  RSLT         =100mV AC + DCV Range
 18.018  IEEE         F6R2C0A2



# *********************  0 V  Output ********************************

# Setup Registers      Delay Time      Message
 18.019  MATH         M[255] = 60  ; S[32] = "Settling Time"

# Set Tolerance
 18.020  MATH         M[104] = 0.003

# 48xx Setup
 18.021  MATH         MEM1  = 0
 18.022  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 18.023  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 18.024  MATH         M[105]  = 40    ;    S[30] = "G0"

 18.025  CALL         Sub Datron 10xx Cal Adjust IEEE
 18.026  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 18.027  IEEE         [D2000]

# Take Reading
 18.028  TARGET       -m
 18.029  CALL         Sub Datron 10xx Take Reading IEEE
 18.030  MEMCX        +0.000mV       M104U


# ***************** 100 mV RANGE ****************

# Set String Registers:        Range          Units
 19.001  MATH         S[2] = "100" ; S[3]  = "mV"

# Set Numeric Register:  Units
 19.002  MATH         M[103] = 1e-3   ; M[108] = 1


# UUT Setup to 100mV Range
 19.003  RSLT         =
 19.004  RSLT         =100 mV Range
 19.005  IEEE         F2R2C1A2

# *********************  0 mV  Output ********************************

# Setup Registers      Delay Time      Message
 19.006  MATH         M[255] = 20  ; S[32] = "Settling Time"

# Set Tolerance
 19.007  MATH         M[104] = 0.1

# 48xx Setup

 19.008  CALL         Sub Wait

# Take Reading
 19.009  TARGET       -m
 19.010  CALL         Sub Datron 10xx Take Reading IEEE
 19.011  MEMCX        +0.000mV       M104U

# ***************** 1V RANGE ****************

# Set String Registers:        Range          Units
 20.001  MATH         S[2] = "1" ; S[3]  = "V"

# Set Numeric Register:  Units
 20.002  MATH         M[103] = 1   ; M[108] = 1


# UUT Setup to 100mV Range
 20.003  RSLT         =
 20.004  RSLT         =1V Range
 20.005  IEEE         F2R3C0A2

# *********************  0 V  Output ********************************

# Setup Registers      Delay Time      Message
 20.006  MATH         M[255] = 5  ; S[32] = "Settling Time"

# Set Tolerance
 20.007  MATH         M[104] = 0.00002

# 48xx Setup

 20.008  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 20.009  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 20.010  MATH         M[105]  = 40    ;    S[30] = "G0"

 20.011  CALL         Sub Datron 10xx Cal Adjust IEEE
 20.012  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 20.013  IEEE         [D2000]

# Take Reading
 20.014  TARGET       -m
 20.015  CALL         Sub Datron 10xx Take Reading IEEE
 20.016  MEMCX        +0.00000V      M104U

# ***************** 10V RANGE ****************

# Set String Registers:        Range          Units
 21.001  MATH         S[2] = "10" ; S[3]  = "V"

# Set Numeric Register:  Units
 21.002  MATH         M[103] = 1   ; M[108] = 1


# UUT Setup to 100mV Range
 21.003  RSLT         =
 21.004  RSLT         =10V Range
 21.005  IEEE         F2R4C0A2

# *********************  0 V  Output ********************************

# Setup Registers      Delay Time      Message
 21.006  MATH         M[255] = 5  ; S[32] = "Settling Time"

# Set Tolerance
 21.007  MATH         M[104] = 0.0002

# 48xx Setup

 21.008  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 21.009  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 21.010  MATH         M[105]  = 40    ;    S[30] = "G0"

 21.011  CALL         Sub Datron 10xx Cal Adjust IEEE
 21.012  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 21.013  IEEE         [D2000]

# Take Reading
 21.014  TARGET       -m
 21.015  CALL         Sub Datron 10xx Take Reading IEEE
 21.016  MEMCX        +0.0000V       M104U

# ***************** 100V RANGE ****************

# Set String Registers:        Range          Units
 22.001  MATH         S[2] = "100" ; S[3]  = "V"

# Set Numeric Register:  Units
 22.002  MATH         M[103] = 1   ; M[108] = 1


# UUT Setup to 100mV Range
 22.003  RSLT         =
 22.004  RSLT         =100V Range
 22.005  IEEE         F2R5C0A2

# *********************  0 V  Output ********************************

# Setup Registers      Delay Time      Message
 22.006  MATH         M[255] = 5  ; S[32] = "Settling Time"

# Set Tolerance
 22.007  MATH         M[104] = 0.002

# 48xx Setup

 22.008  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 22.009  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 22.010  MATH         M[105]  = 40    ;    S[30] = "G0"

 22.011  CALL         Sub Datron 10xx Cal Adjust IEEE
 22.012  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 22.013  IEEE         [D2000]

# Take Reading
 22.014  TARGET       -m
 22.015  CALL         Sub Datron 10xx Take Reading IEEE
 22.016  MEMCX        +0.000V        M104U

# ***************** 1000V RANGE ****************

# Set String Registers:        Range          Units
 23.001  MATH         S[2] = "1000" ; S[3]  = "V"

# Set Numeric Register:  Units
 23.002  MATH         M[103] = 1   ; M[108] = 1


# UUT Setup to 100mV Range
 23.003  RSLT         =
 23.004  RSLT         =1000V Range
 23.005  IEEE         F2R6C0A2

# *********************  0 V  Output ********************************

# Setup Registers      Delay Time      Message
 23.006  MATH         M[255] = 5  ; S[32] = "Settling Time"

# Set Tolerance
 23.007  MATH         M[104] = 0.02

# 48xx Setup
 23.008  MMFC                                      100V
 23.009  5700         0mV                                               S  2W
 23.010  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 23.011  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 23.012  MATH         M[105]  = 40    ;    S[30] = "G0"

 23.013  CALL         Sub Datron 10xx Cal Adjust IEEE
 23.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 23.015  IEEE         [D2000]

# Take Reading
 23.016  TARGET       -m
 23.017  CALL         Sub Datron 10xx Take Reading IEEE
 23.018  MEMCX        +0.00V         M104U





# ***************** 100 mV RANGE ****************
 24.001  ASK+                              U
 24.002  PIC          1081in57

# Set String Registers:        Range          Units
 24.003  MATH         S[2] = "100" ; S[3]  = "mV"

# Set Numeric Register:  Units
 24.004  MATH         M[103] = 1e-3   ; M[108] = 1

# UUT Setup Filter when Carrying out Adjustment
 24.005  MATH         S[26] = "C1"

# UUT Setup Filter When Taking Reading
 24.006  MATH         S[27] = "C1"


# UUT Setup to 100mV Range
 24.007  RSLT         =
 24.008  RSLT         =100 mV Range
 24.009  IEEE         F2R2C1A0

# ********************* 100 mV @ 500Hz Output ********************************

# Setup Registers      Delay Time
 24.010  MATH         M[255] = 10    ; S[32] = "Settling Time"

# Set Tolerance
 24.011  MATH         M[104] = 0.080

# 48xx Setup
 24.012  MMFC                                      100mV
 24.013  5700         100mV                        500H                 S  2W
 24.014  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 24.015  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 24.016  MATH         M[105]  = 20    ;    S[30] = "G1"
 24.017  CALL         Sub Datron 10xx Cal Adjust IEEE
 24.018  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 24.019  IEEE         [D2000]

# Take Reading
 24.020  TARGET       -m
 24.021  CALL         Sub Datron 10xx Take Reading IEEE
 24.022  MEMCX        100.000mV      M104U         500H

# ********************* 100 mV @ 30 kHz Output *****************************

# Setup Registers      Delay Time
 25.001  MATH         M[255] = 10

# Set Tolerance
 25.002  MATH         M[104] = 0.2

# 48xx Setup
 25.003  MMFC                                      100mV
 25.004  5700         100mV                        30kH                 S  2W
 25.005  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 25.006  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 25.007  MATH         M[105]  = 20    ;    S[30] = "G3"
 25.008  CALL         Sub Datron 10xx Cal Adjust IEEE
 25.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 25.010  IEEE         [D2000]

# Take Reading
 25.011  TARGET       -m
 25.012  CALL         Sub Datron 10xx Take Reading IEEE
 25.013  MEMCX        100.000mV      M104U         30kH



# ***************** 1V RANGE ****************

# Set String Registers:        Range          Units
 26.001  MATH         S[2] = "1" ; S[3]  = "V"

# Set Numeric Register:  Units
 26.002  MATH         M[103] = 1

# UUT Setup to 1V Range
 26.003  RSLT         =
 26.004  RSLT         =1V Range
 26.005  IEEE         F2R3C1A0

# ********************* 1V @ 500Hz Output ********************************

# Setup Registers      Delay Time
 26.006  MATH         M[255] = 10

# Set Tolerance
 26.007  MATH         M[104] = 0.0004

# 48xx Setup
 26.008  MMFC                                      1V
 26.009  5700         1V                           500H                 S  2W
 26.010  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 26.011  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 26.012  MATH         M[105]  = 20    ;    S[30] = "G1"
 26.013  CALL         Sub Datron 10xx Cal Adjust IEEE
 26.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 26.015  IEEE         [D2000]

# Take Reading
 26.016  TARGET       -m
 26.017  CALL         Sub Datron 10xx Take Reading IEEE
 26.018  MEMCX        1.00000V       M104U         500H

# ********************* 1V @ 30 kHz Output ********************************

# Setup Registers      Delay Time
 27.001  MATH         M[255] = 10

# Set Tolerance
 27.002  MATH         M[104] = 0.001

# 48xx Setup
 27.003  MMFC                                      1V
 27.004  5700         1V                           30kH                 S  2W
 27.005  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 27.006  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 27.007  MATH         M[105]  = 20    ;    S[30] = "G3"
 27.008  CALL         Sub Datron 10xx Cal Adjust IEEE
 27.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 27.010  IEEE         [D2000]

# Take Reading
 27.011  TARGET       -m
 27.012  CALL         Sub Datron 10xx Take Reading IEEE
 27.013  MEMCX        1.00000V       M104U         30kH



# ***************** 10V RANGE ****************

# Set String Registers:        Range          Units
 28.001  MATH         S[2] = "10" ; S[3]  = "V"

# Set Numeric Register:  Units
 28.002  MATH         M[103] = 1

# UUT Setup to 10V Range
 28.003  RSLT         =
 28.004  RSLT         =10V Range
 28.005  IEEE         F2R4C1A0

# ********************* 10V @ 500Hz Output ********************************

# Setup Registers      Delay Time
 28.006  MATH         M[255] = 10

# Set Tolerance
 28.007  MATH         M[104] = 0.004

# 48xx Setup
 28.008  MMFC                                      10V
 28.009  5700         10V                          500H                 S  2W
 28.010  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 28.011  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 28.012  MATH         M[105]  = 20    ;    S[30] = "G1"
 28.013  CALL         Sub Datron 10xx Cal Adjust IEEE
 28.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 28.015  IEEE         [D2000]

# Take Reading
 28.016  TARGET       -m
 28.017  CALL         Sub Datron 10xx Take Reading IEEE
 28.018  MEMCX        10.0000V       M104U         500H

# ********************* 10V @ 30kHz Output ********************************

# Setup Registers      Delay Time
 29.001  MATH         M[255] = 10

# Set Tolerance
 29.002  MATH         M[104] = 0.01

# 48xx Setup
 29.003  MMFC                                      10V
 29.004  5700         10V                          30kH                 S  2W
 29.005  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 29.006  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 29.007  MATH         M[105]  = 20    ;    S[30] = "G3"
 29.008  CALL         Sub Datron 10xx Cal Adjust IEEE
 29.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 29.010  IEEE         [D2000]

# Take Reading
 29.011  TARGET       -m
 29.012  CALL         Sub Datron 10xx Take Reading IEEE
 29.013  MEMCX        10.0000V       M104U         30kH



# ***************** 100 V RANGE ****************

# Set String Registers:        Range          Units
 30.001  MATH         S[2] = "100" ; S[3]  = "V"

# Set Numeric Register:  Units
 30.002  MATH         M[103] = 1

# UUT Setup to 100V Range
 30.003  RSLT         =
 30.004  RSLT         =100 V Range
 30.005  IEEE         F2R5C1A0

# ********************* 100V @ 500Hz Output ********************************

# Setup Registers      Delay Time
 30.006  MATH         M[255] = 10

# Set Tolerance
 30.007  MATH         M[104] = 0.04

# 48xx Setup
 30.008  MMFC                                      100V
 30.009  5700         100V                         500H                 S  2W
 30.010  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 30.011  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 30.012  MATH         M[105]  = 20    ;    S[30] = "G1"
 30.013  CALL         Sub Datron 10xx Cal Adjust IEEE
 30.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 30.015  IEEE         [D2000]

# Take Reading
 30.016  TARGET       -m
 30.017  CALL         Sub Datron 10xx Take Reading IEEE
 30.018  MEMCX        100.000V       M104U         500H

# ********************* 100V @ 30kHz Output ********************************

# Setup Registers      Delay Time
 31.001  MATH         M[255] = 10

# Set Tolerance
 31.002  MATH         M[104] = 0.1

# 48xx Setup
 31.003  MMFC                                      100V
 31.004  5700         100V                         30kH                 S  2W
 31.005  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 31.006  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 31.007  MATH         M[105]  = 20    ;    S[30] = "G3"
 31.008  CALL         Sub Datron 10xx Cal Adjust IEEE
 31.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 31.010  IEEE         [D2000]

# Take Reading
 31.011  TARGET       -m
 31.012  CALL         Sub Datron 10xx Take Reading IEEE
 31.013  MEMCX        100.000V       M104U         30kH



# ***************** 1000V RANGE ****************

# Set String Registers:        Range          Units
 32.001  MATH         S[2] = "1000" ; S[3]  = "V"

# Set Numeric Register:  Units
 32.002  MATH         M[103] = 1

# UUT Setup to 1000V Range
 32.003  RSLT         =
 32.004  RSLT         =1000 V Range
 32.005  IEEE         F2R6C1A0

# ********************* 1000V @ 500Hz Output ********************************

# Setup Registers      Delay Time
 32.006  MATH         M[255] = 10

# Set Tolerance
 32.007  MATH         M[104] =.8

# 48xx Setup
 32.008  MMFC                                      1000V
 32.009  5700         1000V                        500H                 S  2W
 32.010  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 32.011  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 32.012  MATH         M[105]  = 20    ;    S[30] = "G1"
 32.013  CALL         Sub Datron 10xx Cal Adjust IEEE
 32.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 32.015  IEEE         [D2000]

# Take Reading
 32.016  TARGET       -m
 32.017  CALL         Sub Datron 10xx Take Reading IEEE
 32.018  MEMCX        1000.00V       M104U         500H

# ********************* 200V @ 20kHz Output ********************************

# Setup Registers      Delay Time
 33.001  MATH         M[255] = 10

# Set Tolerance
 33.002  MATH         M[104] = .3

# 48xx Setup
 33.003  MMFC                                      1000V
 33.004  5700         200V                         20kH                 S  2W
 33.005  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 33.006  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 33.007  MATH         M[105]  = 20    ;    S[30] = "K200G3"
 33.008  CALL         Sub Datron 10xx Cal Adjust IEEE
 33.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 33.010  IEEE         [D2000]

# Take Reading
 33.011  TARGET       -m
 33.012  CALL         Sub Datron 10xx Take Reading IEEE
 33.013  MEMCX        200.00V        M104U         20kH


# Rest After High Voltage
 34.001  IEEE         F3R6C0A0
# Setup Registers      Delay Time
 34.002  MATH         M[255] = 40  ; S[32] = "Rest Period"
 34.003  CALL         Sub Wait

 34.004  LABEL        SKIP_ACV

#**************************** DC CURRENT *******************************
#***********************************************************************
 34.005  JMPL         SKIP_DCI  CMPI ("DC Current (Option 30)",S[13]) != 1
 34.006  JMPL         SKIP_FMT_DCI  CMPI ("> 17",S[4]) == 1
 34.007  MATH         M[108] = 1E6
 34.008  LABEL        SKIP_FMT_DCI
 34.009  PIC          1081i57
 34.010  RSLT         =
 34.011  HEAD         {Function: DC Current}
 34.012  TARGET       -p

# Measurement Setup
 34.013  VSET         NTHROW = 1 NMEAS = 5

# UUT Setup Filter when Carrying out Adjustment
 34.014  MATH         S[26] = "C0"

# UUT Setup Filter When Taking Reading
 34.015  MATH         S[27] = "C0"


# ***************** 100 uA RANGE ****************

# Set String Registers:        Range          Units
 34.016  MATH         S[2] = "100" ; S[3]  = "uA"

# Set Numeric Register:  Units
 34.017  MATH         M[103] = 1e-6

# UUT Setup to 100uA Range
 34.018  RSLT         =
 34.019  RSLT         =100 uA Range
 34.020  IEEE         F5R2C0A0

# ********************* + 0 uA Output ********************************

# Setup Registers      Delay Time      Message
 34.021  MATH         M[255] = 10  ; S[32] = "Settling Time"

# Set Tolerance
 34.022  MATH         M[104] = 0.002

# 48xx Setup
 34.023  MMFC                                      100uA
 34.024  5700         0uA                                               S  2W

 34.025  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 34.026  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 34.027  MATH         M[105]  = 40    ;    S[30] = "G0"
 34.028  CALL         Sub Datron 10xx Cal Adjust IEEE
 34.029  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 34.030  IEEE         [D2000]

# Take Reading
 34.031  TARGET       -m
 34.032  CALL         Sub Datron 10xx Take Reading IEEE
 34.033  MEMCX        +0.000uA       M104U


# ********************* +100 uA Output ********************************

# Setup Registers      Delay Time
 35.001  MATH         M[255] = 10

# Set Tolerance
 35.002  MATH         M[104] = 0.009

# 48xx Setup
 35.003  MMFC                                      100uA
 35.004  5700         100uA                                             S  2W
 35.005  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 35.006  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 35.007  MATH         M[105]  = 20    ;    S[30] = "G1"
 35.008  CALL         Sub Datron 10xx Cal Adjust IEEE
 35.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 35.010  IEEE         [D2000]

# Take Reading
 35.011  TARGET       -m
 35.012  CALL         Sub Datron 10xx Take Reading IEEE
 35.013  MEMCX        100.000uA      M104U


# ***************** 1mA RANGE ****************

# Set String Registers:        Range          Units
 36.001  MATH         S[2] = "1" ; S[3]  = "mA"

# Set Numeric Register:  Units
 36.002  MATH         M[103] = 1e-3

# UUT Setup to 1mA Range
 36.003  RSLT         =
 36.004  RSLT         =1mA Range
 36.005  IEEE         F5R3C0A0

# ********************* + 0 mA Output ********************************

# Setup Registers      Delay Time      Message
 36.006  MATH         M[255] = 10  ; S[32] = "Settling Time"

# Set Tolerance
 36.007  MATH         M[104] = 0.00002

# 48xx Setup
 36.008  MMFC                                      1mA
 36.009  5700         0mA                                               S  2W
 36.010  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 36.011  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 36.012  MATH         M[105]  = 40    ;    S[30] = "G0"
 36.013  CALL         Sub Datron 10xx Cal Adjust IEEE
 36.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 36.015  IEEE         [D2000]

# Take Reading
 36.016  TARGET       -m
 36.017  CALL         Sub Datron 10xx Take Reading IEEE
 36.018  MEMCX        +0.00000mA     M104U


# ********************* +1mA Output ********************************

# Setup Registers      Delay Time
 37.001  MATH         M[255] = 10

# Set Tolerance
 37.002  MATH         M[104] = 0.00009

# 48xx Setup
 37.003  MMFC                                      1mA
 37.004  5700         1mA                                               S  2W
 37.005  CALL         Sub Wait


# Take Reading
 37.006  TARGET       -m
 37.007  CALL         Sub Datron 10xx Take Reading IEEE
 37.008  MEMCX        1.00000mA      M104U


# ***************** 10mA RANGE ****************

# Set String Registers:        Range          Units
 38.001  MATH         S[2] = "10" ; S[3]  = "mA"

# Set Numeric Register:  Units
 38.002  MATH         M[103] = 1e-3

# UUT Setup to 10mA Range
 38.003  RSLT         =
 38.004  RSLT         =10 mA Range
 38.005  IEEE         F5R4C0A0

# ********************* + 0 mA Output ********************************

# Setup Registers      Delay Time      Message
 38.006  MATH         M[255] = 10  ; S[32] = "Settling Time"

# Set Tolerance
 38.007  MATH         M[104] = 0.0002

# 48xx Setup
 38.008  MMFC                                      10mA
 38.009  5700         0mA                                               S  2W
 38.010  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 38.011  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 38.012  MATH         M[105]  = 40    ;    S[30] = "G0"
 38.013  CALL         Sub Datron 10xx Cal Adjust IEEE
 38.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 38.015  IEEE         [D2000]

# Take Reading
 38.016  TARGET       -m
 38.017  CALL         Sub Datron 10xx Take Reading IEEE
 38.018  MEMCX        +0.0000mA      M104U


# ********************* +10mA Output ********************************

# Setup Registers      Delay Time
 39.001  MATH         M[255] = 10

# Set Tolerance
 39.002  MATH         M[104] = 0.0009

# 48xx Setup
 39.003  MMFC                                      10mA
 39.004  5700         10mA                                              S  2W
 39.005  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 39.006  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 39.007  MATH         M[105]  = 20    ;    S[30] = "G1"
 39.008  CALL         Sub Datron 10xx Cal Adjust IEEE
 39.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 39.010  IEEE         [D2000]

# Take Reading
 39.011  TARGET       -m
 39.012  CALL         Sub Datron 10xx Take Reading IEEE
 39.013  MEMCX        10.0000mA      M104U


# ***************** 100 mA RANGE ****************

# Set String Registers:        Range          Units
 40.001  MATH         S[2] = "100" ; S[3]  = "mA"

# Set Numeric Register:  Units
 40.002  MATH         M[103] = 1e-3

# UUT Setup to 100uA Range
 40.003  RSLT         =
 40.004  RSLT         =100 mA Range
 40.005  IEEE         F5R5C0A0

# ********************* + 0 mA Output ********************************

# Setup Registers      Delay Time      Message
 40.006  MATH         M[255] = 10  ; S[32] = "Settling Time"

# Set Tolerance
 40.007  MATH         M[104] = 0.002

# 48xx Setup
 40.008  MMFC                                      100mA
 40.009  5700         0mA                                               S  2W
 40.010  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 40.011  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 40.012  MATH         M[105]  = 40    ;    S[30] = "G0"
 40.013  CALL         Sub Datron 10xx Cal Adjust IEEE
 40.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 40.015  IEEE         [D2000]

# Take Reading
 40.016  TARGET       -m
 40.017  CALL         Sub Datron 10xx Take Reading IEEE
 40.018  MEMCX        +0.000mA       M104U


# ********************* +100mA Output ********************************

# Setup Registers      Delay Time
 41.001  MATH         M[255] = 10

# Set Tolerance
 41.002  MATH         M[104] = 0.009

# 48xx Setup
 41.003  MMFC                                      100mA
 41.004  5700         100mA                                             S  2W
 41.005  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 41.006  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 41.007  MATH         M[105]  = 20    ;    S[30] = "G1"
 41.008  CALL         Sub Datron 10xx Cal Adjust IEEE
 41.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 41.010  IEEE         [D2000]

# Take Reading
 41.011  TARGET       -m
 41.012  CALL         Sub Datron 10xx Take Reading IEEE
 41.013  MEMCX        100.000mA      M104U


# ***************** 1000mA RANGE ****************

# Set String Registers:        Range          Units
 42.001  MATH         S[2] = "1000" ; S[3]  = "mA"

# Set Numeric Register:  Units
 42.002  MATH         M[103] = 1e-3

# UUT Setup to 1000mA Range
 42.003  RSLT         =
 42.004  RSLT         =1000 mA Range
 42.005  IEEE         F5R6C0A0

# ********************* + 0 mA Output ********************************

# Setup Registers      Delay Time      Message
 42.006  MATH         M[255] = 10  ; S[32] = "Settling Time"

# Set Tolerance
 42.007  MATH         M[104] = 0.02

# 48xx Setup
 42.008  MMFC                                      1000mA
 42.009  5700         0mA                                               S  2W
 42.010  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 42.011  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 42.012  MATH         M[105]  = 40    ;    S[30] = "G0"
 42.013  CALL         Sub Datron 10xx Cal Adjust IEEE
 42.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 42.015  IEEE         [D2000]

# Take Reading
 42.016  TARGET       -m
 42.017  CALL         Sub Datron 10xx Take Reading IEEE
 42.018  MEMCX        +0.00mA        M104U


# ********************* +1000mA Output ********************************

# Setup Registers      Delay Time
 43.001  MATH         M[255] = 15

# Set Tolerance
 43.002  MATH         M[104] = 0.14

# 48xx Setup
 43.003  MMFC                                      1000mA
 43.004  5700         1000mA                                            S  2W
 43.005  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 43.006  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 43.007  MATH         M[105]  = 20    ;    S[30] = "G1"
 43.008  CALL         Sub Datron 10xx Cal Adjust IEEE
 43.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 43.010  IEEE         [D2000]

# Take Reading
 43.011  TARGET       -m
 43.012  CALL         Sub Datron 10xx Take Reading IEEE
 43.013  MEMCX        1000.00mA      M104U


# Rest After High Voltage
 44.001  IEEE         F3R6C0A0
# Setup Registers      Delay Time
 44.002  MATH         M[255] = 40  ; S[32] = "Rest Period"
 44.003  CALL         Sub Wait
 44.004  LABEL        SKIP_DCI


#**************************** AC CURRENT *******************************
#***********************************************************************
 44.005  JMPL         SKIP_ACI  CMPI ("AC Current (Option 30)",S[14]) != 1
 44.006  JMPL         SKIP_FMT_ACI  CMPI ("> 17",S[4]) == 1
 44.007  MATH         M[108] = 1E6
 44.008  LABEL        SKIP_FMT_ACI
 44.009  DISP         Remove all connections from the UUT.
 44.010  RSLT         =
 44.011  HEAD         {Function: AC Current}
 44.012  TARGET       -p

# UUT Setup Filter when Carrying out Adjustment
 44.013  MATH         S[26] = "C0"

# UUT Setup Filter When Taking Reading
 44.014  MATH         S[27] = "C1"

# Measurement Setup
 44.015  VSET         NTHROW = 1 NMEAS = 5
 44.016  5700         2.5e-4V                      500H                 S  2W
 44.017  5700         *                                                 S

 44.018  ASK-                              U
# ***************** 100 uA RANGE ****************

# Set String Registers:        Range          Units
 44.019  MATH         S[2] = "100" ; S[3]  = "uA"

# Set Numeric Register:  Units
 44.020  MATH         M[103] = 1e-6

# UUT Setup to 100uA Range AC + DCI
 44.021  RSLT         =
 44.022  RSLT         =100 uA DC + ACI Range
 44.023  IEEE         F7R2C0A0

# ********************* + 0 uA Output ********************************

# Setup Registers      Delay Time      Message
 44.024  MATH         M[255] = 40  ; S[32] = "Settling Time"

# Set Tolerance
 44.025  MATH         M[104] = 0.002

# 48xx Setup
 44.026  MATH         MEM1  = 0
 44.027  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 44.028  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 44.029  MATH         M[105]  = 40    ;    S[30] = "G0"
 44.030  CALL         Sub Datron 10xx Cal Adjust IEEE
 44.031  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 44.032  IEEE         [D2000]

# Take Reading
 44.033  TARGET       -m
 44.034  CALL         Sub Datron 10xx Take Reading IEEE
 44.035  MEMCX        +0.000uA       M104U         Open

#*********************************************************************

# UUT Setup to 100uA Range ACI
 45.001  RSLT         =
 45.002  RSLT         =100 uA Range
 45.003  IEEE         F4R2C0A0

# ********************* + 0 uA Output ********************************

# Setup Registers      Delay Time      Message
 45.004  MATH         M[255] = 5  ; S[32] = "Settling Time"

# Set Tolerance
 45.005  MATH         M[104] = 0.1

# 48xx Setup

 45.006  CALL         Sub Wait

# Take Reading
 45.007  TARGET       -m
 45.008  CALL         Sub Datron 10xx Take Reading IEEE
 45.009  MEMCX        +0.000uA       M104U         Open

# ***************** 1mA RANGE ****************

# Set String Registers:        Range          Units
 46.001  MATH         S[2] = "1" ; S[3]  = "mA"

# Set Numeric Register:  Units
 46.002  MATH         M[103] = 1e-3

# UUT Setup to 1mA Range AC + DCI
 46.003  RSLT         =
 46.004  RSLT         =1mA DC + ACI Range
 46.005  IEEE         F7R3C0A0

# ********************* + 0 mA Open Output ********************************

# Setup Registers      Delay Time      Message
 46.006  MATH         M[255] = 5  ; S[32] = "Settling Time"

# Set Tolerance
 46.007  MATH         M[104] = 0.00002

# 48xx Setup

 46.008  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 46.009  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 46.010  MATH         M[105]  = 40    ;    S[30] = "G0"
 46.011  CALL         Sub Datron 10xx Cal Adjust IEEE
 46.012  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 46.013  IEEE         [D2000]

# Take Reading
 46.014  TARGET       -m
 46.015  CALL         Sub Datron 10xx Take Reading IEEE
 46.016  MEMCX        +0.00000mA     M104U         Open

# ***************** 10mA RANGE ****************

# Set String Registers:        Range          Units
 47.001  MATH         S[2] = "10" ; S[3]  = "mA"

# Set Numeric Register:  Units
 47.002  MATH         M[103] = 1e-3

# UUT Setup to 1mA Range AC + DCI
 47.003  RSLT         =
 47.004  RSLT         =10mA DC + ACI Range
 47.005  IEEE         F7R4C0A0

# ********************* + 0 mA Open Output ********************************

# Setup Registers      Delay Time      Message
 47.006  MATH         M[255] = 5  ; S[32] = "Settling Time"

# Set Tolerance
 47.007  MATH         M[104] = 0.0002

# 48xx Setup

 47.008  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 47.009  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 47.010  MATH         M[105]  = 40    ;    S[30] = "G0"
 47.011  CALL         Sub Datron 10xx Cal Adjust IEEE
 47.012  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 47.013  IEEE         [D2000]

# Take Reading
 47.014  TARGET       -m
 47.015  CALL         Sub Datron 10xx Take Reading IEEE
 47.016  MEMCX        +0.0000mA      M104U         Open

# ***************** 100mA RANGE ****************

# Set String Registers:        Range          Units
 48.001  MATH         S[2] = "100" ; S[3]  = "mA"

# Set Numeric Register:  Units
 48.002  MATH         M[103] = 1e-3

# UUT Setup to 1mA Range AC + DCI
 48.003  RSLT         =
 48.004  RSLT         =100mA DC + ACI Range
 48.005  IEEE         F7R5C0A0

# ********************* + 0 mA Open Output ********************************

# Setup Registers      Delay Time      Message
 48.006  MATH         M[255] = 5  ; S[32] = "Settling Time"

# Set Tolerance
 48.007  MATH         M[104] = 0.002

# 48xx Setup

 48.008  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 48.009  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 48.010  MATH         M[105]  = 40    ;    S[30] = "G0"
 48.011  CALL         Sub Datron 10xx Cal Adjust IEEE
 48.012  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 48.013  IEEE         [D2000]

# Take Reading
 48.014  TARGET       -m
 48.015  CALL         Sub Datron 10xx Take Reading IEEE
 48.016  MEMCX        +0.000mA       M104U         Open

# ***************** 1000mA RANGE ****************

# Set String Registers:        Range          Units
 49.001  MATH         S[2] = "1000" ; S[3]  = "mA"

# Set Numeric Register:  Units
 49.002  MATH         M[103] = 1e-3

# UUT Setup to 1mA Range AC + DCI
 49.003  RSLT         =
 49.004  RSLT         =1000mA DC + ACI Range
 49.005  IEEE         F7R6C0A0

# ********************* + 0 mA Open Output ********************************

# Setup Registers      Delay Time      Message
 49.006  MATH         M[255] = 5  ; S[32] = "Settling Time"

# Set Tolerance
 49.007  MATH         M[104] = 0.02

# 48xx Setup

 49.008  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 49.009  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 49.010  MATH         M[105]  = 40    ;    S[30] = "G0"
 49.011  CALL         Sub Datron 10xx Cal Adjust IEEE
 49.012  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 49.013  IEEE         [D2000]

# Take Reading
 49.014  TARGET       -m
 49.015  CALL         Sub Datron 10xx Take Reading IEEE
 49.016  MEMCX        +0.00mA        M104U         Open

 50.001  ASK+                              U
 50.002  PIC          1081i57

# ***************** 100 uA RANGE ****************

# Set String Registers:        Range          Units
 50.003  MATH         S[2] = "100" ; S[3]  = "uA"

# Set Numeric Register:  Units
 50.004  MATH         M[103] = 1e-6

# UUT Setup to 100uA Range
 50.005  RSLT         =
 50.006  RSLT         =100 uA AC + DCI Range
 50.007  IEEE         F7R2C1A0

# ********************* 100uA 1kHz Output ********************************

# Setup Registers      Delay Time
 50.008  MATH         M[255] = 10  ; S[32] = "Settling Time"

# Set Tolerance
 50.009  MATH         M[104] = 0.15

# 48xx Setup
 50.010  MMFC                                      100uA
 50.011  5700         100uA                        1kH                  S  2W
 50.012  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 50.013  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 50.014  MATH         M[105]  = 20    ;    S[30] = "G1"
 50.015  CALL         Sub Datron 10xx Cal Adjust IEEE
 50.016  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 50.017  IEEE         [D2000]

# Take Reading
 50.018  TARGET       -m
 50.019  CALL         Sub Datron 10xx Take Reading IEEE
 50.020  MEMCX        100.000uA      M104U         1kH


# ***************** 1 mA RANGE ****************

# Set String Registers:        Range          Units
 51.001  MATH         S[2] = "1" ; S[3]  = "mA"

# Set Numeric Register:  Units
 51.002  MATH         M[103] = 1e-3

# UUT Setup to 1mA Range
 51.003  RSLT         =
 51.004  RSLT         =1mA AC + DCI Range
 51.005  IEEE         F7R3C1A0


# ********************* 1mA 1kHz Output ********************************

# Setup Registers      Delay Time
 51.006  MATH         M[255] = 10

# Set Tolerance
 51.007  MATH         M[104] = 0.0015

# 48xx Setup
 51.008  MMFC                                      1mA
 51.009  5700         1mA                          1kH                  S  2W
 51.010  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 51.011  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 51.012  MATH         M[105]  = 20    ;    S[30] = "G1"
 51.013  CALL         Sub Datron 10xx Cal Adjust IEEE
 51.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 51.015  IEEE         [D2000]

# Take Reading
 51.016  TARGET       -m
 51.017  CALL         Sub Datron 10xx Take Reading IEEE
 51.018  MEMCX        1.00000mA      M104U         1kH


# ***************** 10 mA RANGE ****************

# Set String Registers:        Range          Units
 52.001  MATH         S[2] = "10" ; S[3]  = "mA"

# Set Numeric Register:  Units
 52.002  MATH         M[103] = 1e-3

# UUT Setup to 10mA Range
 52.003  RSLT         =
 52.004  RSLT         =10mA AC + DCI Range
 52.005  IEEE         F7R4C1A0


# ********************* 10mA 1kHz Output ********************************

# Setup Registers      Delay Time
 52.006  MATH         M[255] = 10

# Set Tolerance
 52.007  MATH         M[104] = 0.015

# 48xx Setup
 52.008  MMFC                                      10mA
 52.009  5700         10mA                         1kH                  S  2W
 52.010  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 52.011  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 52.012  MATH         M[105]  = 20    ;    S[30] = "G1"
 52.013  CALL         Sub Datron 10xx Cal Adjust IEEE
 52.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 52.015  IEEE         [D2000]

# Take Reading
 52.016  TARGET       -m
 52.017  CALL         Sub Datron 10xx Take Reading IEEE
 52.018  MEMCX        10.0000mA      M104U         1kH


# ***************** 100 mA RANGE ****************

# Set String Registers:        Range          Units
 53.001  MATH         S[2] = "100" ; S[3]  = "mA"

# Set Numeric Register:  Units
 53.002  MATH         M[103] = 1e-3

# UUT Setup to 100mA Range
 53.003  RSLT         =
 53.004  RSLT         =100mA AC + DCI Range
 53.005  IEEE         F7R5C1A0


# ********************* 100mA 1kHz Output ********************************

# Setup Registers      Delay Time
 53.006  MATH         M[255] = 15

# Set Tolerance
 53.007  MATH         M[104] = 0.15

# 48xx Setup
 53.008  MMFC                                      100mA
 53.009  5700         100mA                        1kH                  S  2W
 53.010  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 53.011  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 53.012  MATH         M[105]  = 20    ;    S[30] = "G1"
 53.013  CALL         Sub Datron 10xx Cal Adjust IEEE
 53.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 53.015  IEEE         [D2000]

# Take Reading
 53.016  TARGET       -m
 53.017  CALL         Sub Datron 10xx Take Reading IEEE
 53.018  MEMCX        100.000mA      M104U         1kH


# ***************** 1000 mA RANGE ****************

# Set String Registers:        Range          Units
 54.001  MATH         S[2] = "1000" ; S[3]  = "mA"

# Set Numeric Register:  Units
 54.002  MATH         M[103] = 1e-3

# UUT Setup to 1000mA Range
 54.003  RSLT         =
 54.004  RSLT         =1000mA AC + DCI Range
 54.005  IEEE         F7R6C1A0


# ********************* 1000mA 1kHz Output ********************************

# Setup Registers      Delay Time
 54.006  MATH         M[255] = 20

# Set Tolerance
 54.007  MATH         M[104] = 1.5

# 48xx Setup
 54.008  MMFC                                      1000mA
 54.009  5700         1000mA                       1kH                  S  2W
 54.010  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 54.011  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 54.012  MATH         M[105]  = 20    ;    S[30] = "G1"
 54.013  CALL         Sub Datron 10xx Cal Adjust IEEE
 54.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 54.015  IEEE         [D2000]

# Take Reading
 54.016  TARGET       -m
 54.017  CALL         Sub Datron 10xx Take Reading IEEE
 54.018  MEMCX        1000.00mA      M104U         1kH


# Rest After High Voltage
 55.001  IEEE         F3R6C0A0
# Setup Registers      Delay Time
 55.002  MATH         M[255] = 40  ; S[32] = "Rest Period"
 55.003  CALL         Sub Wait

 55.004  LABEL        SKIP_ACI

#**************************** RESISTANCE *******************************
#***********************************************************************
 55.005  JMPL         SKIP_RES  CMPI ("Resistance (Option 20)",S[12])!= 1
 55.006  PIC          1081in57
 55.007  RSLT         =
 55.008  HEAD         {Function: Resistance}
 55.009  TARGET       -p

# Measurement Setup
 55.010  VSET         NTHROW = 1 NMEAS = 5

# ***************** 10 Ohm RANGE ****************

# Set String Registers:        Range          Units
 55.011  MATH         S[2] = "10" ; S[3]  = "Ohm"

# Set Numeric Register:  Units
 55.012  MATH         M[103] = 1   ; M[108] = 1

# UUT Setup Filter when Carrying out Adjustment
 55.013  MATH         S[26] = "C0"

# UUT Setup Filter When Taking Reading
 55.014  MATH         S[27] = "C0"


# UUT Setup to 10 Ohm Range
 55.015  RSLT         =
 55.016  RSLT         =10 Ohm Range
 55.017  IEEE         F1R1C0A2

# *********************  0 Ohm Output ********************************

# Setup Registers      Delay Time      Message
 55.018  MATH         M[255] = 15  ; S[32] = "Settling Time"

# Set Tolerance
 55.019  MATH         M[104] = 0.0002

# 48xx Setup
 55.020  MMFC         *
 55.021  5700         0Z                                                S  4W
 55.022  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 55.023  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 55.024  MATH         M[105]  = 40    ;    S[30] = "G0"
 55.025  CALL         Sub Datron 10xx Cal Adjust IEEE
 55.026  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 55.027  IEEE         [D2000]

# Take Reading
 55.028  TARGET       -m
 55.029  CALL         Sub Datron 10xx Take Reading IEEE
 55.030  MEMCX        +0.00000Z      M104U


# ********************* 10 Ohm Output ********************************

# Setup Registers      Delay Time
 56.001  MATH         M[255] = 10

# Set Tolerance
 56.002  MATH         M[104] = 0.00031

# 48xx Setup
 56.003  5700         10Z                                               S  4W
 56.004  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 56.005  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.
 56.006  MATH         M[105]  = 20

# Gain Cal
 56.007  MATH         S[30]= "K" &FMT(MEM1,"%.8g")&"E-3"&"G1"

 56.008  CALL         Sub Datron 10xx Cal Adjust IEEE
 56.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 56.010  IEEE         [D2000]

# Take Reading
 56.011  TARGET       -m
 56.012  CALL         Sub Datron 10xx Take Reading IEEE
 56.013  MEMCX  10    Z              M104U

# ***************** 100 Ohm RANGE ****************

# Set String Registers:        Range          Units
 57.001  MATH         S[2] = "100" ; S[3]  = "Ohm"

# Set Numeric Register:  Units
 57.002  MATH         M[103] = 1

# UUT Setup to 10 Ohm Range
 57.003  RSLT         =
 57.004  RSLT         =100 Ohm Range
 57.005  IEEE         F1R2C0A2

# *********************  0 Ohm Output ********************************

# Setup Registers      Delay Time      Message
 57.006  MATH         M[255] = 15  ; S[32] = "Settling Time"

# Set Tolerance
 57.007  MATH         M[104] = 0.002

# 48xx Setup
 57.008  MMFC         *
 57.009  5700         0Z                                                S  4W
 57.010  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 57.011  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 57.012  MATH         M[105]  = 40    ;    S[30] = "G0"
 57.013  CALL         Sub Datron 10xx Cal Adjust IEEE
 57.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 57.015  IEEE         [D2000]

# Take Reading
 57.016  TARGET       -m
 57.017  CALL         Sub Datron 10xx Take Reading IEEE
 57.018  MEMCX        +0.0000Z       M104U



# ********************* 100Ohm Output ********************************

# Setup Registers      Delay Time
 58.001  MATH         M[255] = 10

# Set Tolerance
 58.002  MATH         M[104] = 0.0018

# 48xx Setup
 58.003  5700         100Z                                              S  4W
 58.004  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 58.005  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.
 58.006  MATH         M[105]  = 20

 58.007  MATH         S[30]= "K" &FMT(MEM1,"%.8g")&"E-3"&"G1"

 58.008  CALL         Sub Datron 10xx Cal Adjust IEEE
 58.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 58.010  IEEE         [D2000]

# Take Reading
 58.011  TARGET       -m
 58.012  CALL         Sub Datron 10xx Take Reading IEEE
 58.013  MEMCX        Z              M104U



# ***************** 1 kOhm RANGE ****************

# Set String Registers:        Range          Units
 59.001  MATH         S[2] = "1" ; S[3]  = "kOhm"

# Set Numeric Register:  Units
 59.002  MATH         M[103] = 1e3

# UUT Setup to 1 kOhm Range
 59.003  RSLT         =
 59.004  RSLT         =1 kOhm Range
 59.005  IEEE         F1R3C0A2

# *********************  0 Ohm Output ********************************

# Setup Registers      Delay Time      Message
 59.006  MATH         M[255] = 20  ; S[32] = "Settling Time"

# Set Tolerance
 59.007  MATH         M[104] = 0.00002

# 48xx Setup
 59.008  MMFC         *
 59.009  5700         0kZ                                               S  4W
 59.010  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 59.011  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 59.012  MATH         M[105]  = 40    ;    S[30] = "G0"
 59.013  CALL         Sub Datron 10xx Cal Adjust IEEE
 59.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 59.015  IEEE         [D2000]

# Take Reading
 59.016  TARGET       -m
 59.017  CALL         Sub Datron 10xx Take Reading IEEE
 59.018  MEMCX        +0.000000kZ    M104U



# ********************* 1kOhm Output ********************************

# Setup Registers      Delay Time
 60.001  MATH         M[255] = 10

# Set Tolerance
 60.002  MATH         M[104] = 0.000018

# 48xx Setup
 60.003  5700         1kZ                                               S  4W
 60.004  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 60.005  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 60.006  MATH         M[105]  = 20    ;    S[30]="K"&FMT(MEM1, "%.8g")&"G1"
 60.007  CALL         Sub Datron 10xx Cal Adjust IEEE
 60.008  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 60.009  IEEE         [D2000]

# Take Reading
 60.010  TARGET       -m
 60.011  CALL         Sub Datron 10xx Take Reading IEEE
 60.012  MEMCX        kZ             M104U



# ***************** 10 kOhm RANGE ****************

# Set String Registers:        Range          Units
 61.001  MATH         S[2] = "10" ; S[3]  = "kOhm"

# Set Numeric Register:  Units
 61.002  MATH         M[103] = 1e3

# UUT Setup to 10 kOhm Range
 61.003  RSLT         =
 61.004  RSLT         =10 kOhm Range
 61.005  IEEE         F1R4C0A2

# *********************  0 Ohm Output ********************************

# Setup Registers      Delay Time      Message
 61.006  MATH         M[255] = 20  ; S[32] = "Settling Time"

# Set Tolerance
 61.007  MATH         M[104] = 0.0002

# 48xx Setup
 61.008  MMFC         *
 61.009  5700         0kZ                                               S  4W
 61.010  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 61.011  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 61.012  MATH         M[105]  = 40    ;    S[30] = "G0"
 61.013  CALL         Sub Datron 10xx Cal Adjust IEEE
 61.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 61.015  IEEE         [D2000]

# Take Reading
 61.016  TARGET       -m
 61.017  CALL         Sub Datron 10xx Take Reading IEEE
 61.018  MEMCX        +00.00000kZ    M104U



# ********************* 10kOhm Output ********************************

# Setup Registers      Delay Time
 62.001  MATH         M[255] = 10

# Set Tolerance
 62.002  MATH         M[104] = 0.00018

# 48xx Setup
 62.003  5700         10kZ                                              S  4W
 62.004  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 62.005  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 62.006  MATH         M[105]  = 20    ;    S[30]="K"&FMT(MEM1, "%.8g")&"G1"
 62.007  CALL         Sub Datron 10xx Cal Adjust IEEE
 62.008  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 62.009  IEEE         [D2000]

# Take Reading
 62.010  TARGET       -m
 62.011  CALL         Sub Datron 10xx Take Reading IEEE
 62.012  MEMCX        kZ             M104U



# ***************** 100 kOhm RANGE ****************

# Set String Registers:        Range          Units
 63.001  MATH         S[2] = "100" ; S[3]  = "kOhm"

# Set Numeric Register:  Units
 63.002  MATH         M[103] = 1e3

# UUT Setup to 100 kOhm Range
 63.003  RSLT         =
 63.004  RSLT         =100 kOhm Range
 63.005  IEEE         F1R5C0A2

# *********************  0 kOhm Output ********************************

# Setup Registers      Delay Time      Message
 63.006  MATH         M[255] = 20  ; S[32] = "Settling Time"

# Set Tolerance
 63.007  MATH         M[104] = 0.002

# 48xx Setup
 63.008  MMFC         *
 63.009  5700         0kZ                                               S  4W
 63.010  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 63.011  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 63.012  MATH         M[105]  = 40    ;    S[30] = "G0"
 63.013  CALL         Sub Datron 10xx Cal Adjust IEEE
 63.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 63.015  IEEE         [D2000]

# Take Reading
 63.016  TARGET       -m
 63.017  CALL         Sub Datron 10xx Take Reading IEEE
 63.018  MEMCX        +0.0000kZ      M104U



# ********************* 100kOhm Output ********************************

# Setup Registers      Delay Time
 64.001  MATH         M[255] = 10

# Set Tolerance
 64.002  MATH         M[104] = 0.0023

# 48xx Setup
 64.003  5700         100kZ                                             S  4W
 64.004  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 64.005  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 64.006  MATH         M[105]  = 20    ;    S[30]="K"&FMT(MEM1, "%.8g")&"G1"
 64.007  CALL         Sub Datron 10xx Cal Adjust IEEE
 64.008  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 64.009  IEEE         [D2000]

# Take Reading
 64.010  TARGET       -m
 64.011  CALL         Sub Datron 10xx Take Reading IEEE
 64.012  MEMCX        kZ             M104U



# ***************** 1000 kOhm RANGE ****************

# Set String Registers:        Range          Units
 65.001  MATH         S[2] = "1000" ; S[3]  = "kOhm"

# Set Numeric Register:  Units
 65.002  MATH         M[103] = 1e3

# UUT Setup Filter when Carrying out Adjustment
 65.003  MATH         S[26] = "C1"

# UUT Setup Filter When Taking Reading
 65.004  MATH         S[27] = "C1"


# UUT Setup to 1000 kOhm Range
 65.005  RSLT         =
 65.006  RSLT         =1000 kOhm Range
 65.007  IEEE         F1R6C1A2

# *********************  0 Ohm Output ********************************

# Setup Registers      Delay Time      Message
 65.008  MATH         M[255] = 20  ; S[32] = "Settling Time"

# Set Tolerance
 65.009  MATH         M[104] = 0.02

# 48xx Setup
 65.010  MMFC         *
 65.011  5700         0kZ                                               S  4W
 65.012  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 65.013  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 65.014  MATH         M[105]  = 40    ;    S[30] = "G0"
 65.015  CALL         Sub Datron 10xx Cal Adjust IEEE
 65.016  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 65.017  IEEE         [D2000]

# Take Reading
 65.018  TARGET       -m
 65.019  CALL         Sub Datron 10xx Take Reading IEEE
 65.020  MEMCX        +0.0000kZ      M104U



# ********************* 1000kOhm Output ********************************

# Setup Registers      Delay Time
 66.001  MATH         M[255] = 10

# Set Tolerance
 66.002  MATH         M[104] = 0.038

# 48xx Setup
 66.003  5700         1000kZ                                            S  4W
 66.004  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 66.005  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.
 66.006  MATH         M[105]  = 20

 66.007  MATH         S[30]= "K" &FMT(MEM1,"%.8g")&"G1"

 66.008  CALL         Sub Datron 10xx Cal Adjust IEEE
 66.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 66.010  IEEE         [D2000]

# Take Reading
 66.011  TARGET       -m
 66.012  CALL         Sub Datron 10xx Take Reading IEEE
 66.013  MEMCX        kZ             M104U



# ***************** 10 MOhm RANGE ****************

# Set String Registers:        Range          Units
 67.001  MATH         S[2] = "10" ; S[3]  = "MOhm"

# Set Numeric Register:  Units
 67.002  MATH         M[103] = 1e6

# UUT Setup to 10 MOhm Range
 67.003  RSLT         =
 67.004  RSLT         =10 MOhm Range
 67.005  IEEE         F1R7C1A2

# *********************  0 MOhm Output ********************************

# Setup Registers      Delay Time      Message
 67.006  MATH         M[255] = 20  ; S[32] = "Settling Time"

# Set Tolerance
 67.007  MATH         M[104] = 0.0002

# 48xx Setup
 67.008  MMFC         *
 67.009  5700         0MZ                                               S  4W
 67.010  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 67.011  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 67.012  MATH         M[105]  = 40    ;    S[30]= "G0"
 67.013  CALL         Sub Datron 10xx Cal Adjust IEEE
 67.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 67.015  IEEE         [D2000]

# Take Reading
 67.016  TARGET       -m
 67.017  CALL         Sub Datron 10xx Take Reading IEEE
 67.018  MEMCX        +0.00000MZ     M104U



# ********************* 10MOhm Output ********************************

# Setup Registers      Delay Time
 68.001  MATH         M[255] = 10

# Set Tolerance
 68.002  MATH         M[104] = 0.00158

# 48xx Setup
 68.003  5700         10MZ                                              S  4W
 68.004  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 68.005  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.
 68.006  MATH         M[105]  = 20

 68.007  MATH         S[30]= "K" &FMT(MEM1,"%.8g")&"E+3"&"G1"

 68.008  CALL         Sub Datron 10xx Cal Adjust IEEE
 68.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 68.010  IEEE         [D2000]

# Take Reading
 68.011  TARGET       -m
 68.012  CALL         Sub Datron 10xx Take Reading IEEE
 68.013  MEMCX        MZ             M104U


# Rest After High Voltage
 69.001  IEEE         F3R6C0A0
# Setup Registers      Delay Time
 69.002  MATH         M[255] = 40  ; S[32] = "Rest Period"
 69.003  CALL         Sub Wait


 69.004  LABEL        SKIP_RES

 69.005  PIC          1081_dis
 69.006  HEAD         End of Procedure
 69.007  IEEE         W0
 69.008  IEEE         [GTL]
 69.009  DISP         Disconnect all connections and Power Down the UUT.
 69.010  LABEL        END
 69.011  END
