﻿© 2002 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Datron 10xx Cal Adjust IEEE
DATE:                  2002-12-06
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       98
=============================================================================
#
# 
#  Models covered:  1071/1061/1061/A
# 
#  Source:          Users Handbook
#                   Part Number 850040
#                   Issue 11 (OCT.1986)
# 
#  Compatibility:   MET/CAL 6.11A or later
# 
#  Subprocedures:   Sub Datron 10xx Take Reading IEEE
#
#  The procedure is intended for use with Met/Cal(r) calibration software,
#  and the terms and conditions set forth in your METCAL license apply to
#  this procedure.
# 
#  Due to our policy of continuously up dating our products, this procedure
#  may contain minor differences in specification to those found in the manual
#  or other documentation. While every effort has been made to ensure that
#  this procedure is accurate, Fluke cannot be held responsible for the
#  consequences of error or omissions found within this procedure.
# 
#  The copyright in this procedure is owned by Fluke Precision Measurement
#  Limited.
# 
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  LABEL        Invalid_Measurement_Retry

# Set Register:      Tight Tol.Count
  1.002  MATH         M[101] = 0

  1.003  LABEL        Retry_To_Tight_Spec
  1.004  MATH         M[101] = M[101] + 1
  1.005  JMPL         END                          M[101] == 6
  1.006  IEEE         [SREG26][D1000]
  1.007  IEEE         [SREG30]
  1.008  IEEE         [SRQ65000,4]

  1.009  JMPL         Invalid_Measurement          MEM == 4
  1.010  JMPL         Take_Reading

  1.011  LABEL        Invalid_Measurement
  1.012  DISP         The Calibration Step has failed.
  1.012  DISP         Please check all connections
  1.012  DISP         and click Advance to try again.
  1.013  JMPL         Invalid_Measurement_Retry

  1.014  LABEL        Take_Reading

# Reset Registers
  1.015  MATH         M[1] = 0 ; M[3] = 0 ; M[4] = 0

  1.016  IEEE         [SREG27][D1000]

  1.017  LABEL        TARGET

# Increment Readings Counter
  1.018  MATH         M[1] = M[1] + 1

# Take Reading
  1.019  CALL         Sub Datron 10xx Take Reading IEEE

# Skip the Discards
  1.020  JMPL         TARGET  M[1] <= M[2]

# Calculate Average into M[4]
  1.021  MATH         M[3] = M[3] + MEM
  1.022  MATH         M[4] = M[3] / (M[1] - M[2])

# Repeat Reading until Average Requirement is met
  1.023  JMPL         TARGET  M[10] > (M[1] - M[2])

# Calculate High Tight Limit
  1.024  MATH         M[107] =(MEM1 + (M[104] * (M[105] / 100)))

 # Calculate Low Tight Limit
  1.025  MATH         M[109] =(MEM1 - (M[104] * (M[105] / 100)))

  1.026  JMPL         Retry_To_Tight_Spec          M[4] > M[107]
  1.027  JMPL         Retry_To_Tight_Spec          M[4] < M[109]

  1.028  LABEL        END
  1.029  END
